Welcome to docs.opsview.com

Supported Platforms and Software

Opsview Server Software

Operating Systems

In the following tables, 'supported' means that assistance may be provided for issues encountered with software or hardware listed, as a level of testing has been performed. Note however, that it cannot be guaranteed that no issues will be encountered.

Note: On all platforms, packages are built against the latest updates (including major fixes and security updates) on the respective operating systems. Therefore, it is suggested that the target platform also has the latest updates.

Linux

DistributionReleaseArchitectureStatusNotices
Debian6.0 (Squeeze)x86/x86-64Supported
Debian7.0 (Wheezy)x86/x86-64Supported
CentOS5x86/x86-64Supported
CentOS6x86/x86-64Supported
RHEL5x86/x86-64Supported
RHEL5s390xSupported by agreementAlso known as Linux on System Z or zLinux. Contact Sales for more information
RHEL6x86/x86-64Supported
RHEL6s390xSupported by agreementAlso known as Linux on System Z or zLinux. Contact Sales for more information
SUSE Linux Enterprise11 service pack 2x86/x86-64Supported
Ubuntu (LTS)10.4 (Lucid Lynx)x86/x86-64SupportedOur policy for Ubuntu is to support LTS releases
Ubuntu (LTS)12.4 (Precise Pangolin)x86/x86-64Supported

Sun Solaris

ReleaseArchitectureStatusNotices
Sun Solaris 10x86/x86-64Not SupportedOpsview 4.2 is the last release for Solaris
Sun Solaris 10SPARCNot SupportedOpsview 3.12.3 is the last release to feature SPARC platform support
Sun Solaris 11 ExpressAllNot SupportedSolaris 10 will be the last supported version of Solaris

Virtualisation Technologies

We will support Opsview running on the following virtualisation technologies in combination with certified OS / Linux Distribution.

  • VMware Player (for evaluation only, not production systems)
  • VMware Server
  • VMware ESX
  • Parallels (for evaluation only, not production systems)
  • Xen Hypervisor
  • KVM Hypervisor

This is dictated by our ability to test and diagnose problems.

Support for individual software components required by Opsview

Opsview depends on a number of additional software components to function such as MySQL, Apache and Perl. These will be installed as part of your Opsview software installation process, if not already present on the target system.

To avoid problems you must follow these recommendations:

  • You should use the latest stable release of required packages, unless otherwise stated in our documentation
  • Do not install earlier versions of software than supplied as standard with a supported OS or Linux distribution. Eg: You should not replace MySQL 5.0 with MySQL 4.1
  • Do not install software from source code or an unofficial package source since we will not have tested

MySQL Database

Opsview uses the MySQL database for data storage. We support the latest version of MySQL distributed on each supported platform.

If you use a remote MySQL database server, we will support the database server only if it is based on a supported platform.

Web Browsers

Opsview presents the administrative and status interface via a web server. Opsview is tested with the following web browsers:

BrowserVersionNotes
Google ChromeLatest stable release
FirefoxLatest stable release We recommend not to use Firefox 19 due to some Javascript issues seen in this version only
Microsoft Internet Explorer8, 9 & 10
Apple SafariLatest stable release

We test on latest release / patch levels of these browsers and therefore issues may exist with earlier versions that we are unaware of.

Monitoring Agents

The following Agents are officially available for Opsview. This is in addition to all platforms listed for the Opsview Server software.

Any NagiosĀ® Core compatible agent should work with Opsview so do not be too concerned if a particular platform is not listed.

Microsoft Windows Server

VersionArchitecture
Windows 2000x86
Windows 2003x86/x86-64
Windows 2008x86/x86-64

Linux

DistributionVersionArchitecture
Debian7.0 (Wheezy)x86/x86-64
Debian6.0 (Squeeze)x86/x86-64
CentOS7x86-64
CentOS6x86/x86-64
CentOS5x86/x86-64
OpenSUSE11x86/x86-64
RHEL7x86-64
RHEL6x86/x86-64
RHEL5x86/x86-64
SUSE Linux Enterprise11x86/x86-64
Ubuntu (LTS)14.4 (Trusty Tahr)x86/x86-64
Ubuntu (LTS)12.4 (Precise Pangolin)x86/x86-64
Ubuntu (LTS)10.4 (Lucid Lynx)x86/x86-64

If your preferred distribution is not listed we recommend that you create a standard Nagios agent using NRPE.

Solaris

VersionArchitecture
Solaris 9SPARC
Solaris 10x86/x86-64
Solaris 10SPARC

Mac OS X

VersionArchitecture
10.5 LeopardIntel
Navigation
Print/export
Toolbox